/* $Id$ */

/*
 * $Log$
 */

#ifndef _BOOTHTTP_H_
#define _BOOTHTTP_H_

#define IMAGE_START_ADDRESS "0x10030030"

static char * HTTPD_ROOT                     = "UROM:";
static char * CGI_FLASH                      = "flash.cgi";
static char * CGI_STARTIMAGE                 = "startImage.cgi";
static char * CGI_STATUS                     = "status.cgi";

static const unsigned int LOW_MEM_MARK       = 4096;
static const unsigned int HTTPD_THREAD_STACK = 1024;
static const unsigned int WINS_THREAD_STACK  = 1024;

static char * THREAD_HTTPD                   = "HTTPD00";
static char * THREAD_WINS                    = "Wins";
static char * WINS_NAME                      = "Ethernut3";

static const unsigned int HTTPD_PORT         = 80;
static const unsigned int HTTPD_TIMEOUT      = 5000;

/* The default Network addresses. */
static u_char MAC[]                          = {0x00, 0x06, 0x98, 0x13, 0x13, 0x13};
static const char* MYIP                      = "192.168.13.113";
static const char* MYMASK                    = "255.255.255.0";

static const int AUTOBOOT_TIME               = 1000 * 60; // 60s

#endif

